Bug 1182762 - uvcvideo: webcam stops working after 3 seconds
uvcvideo: webcam stops working after 3 seconds
Status: REOPENED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 openSUSE Tumbleweed
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-25 15:11 UTC by Derek Wickersham
Modified: 2022-02-25 16:41 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tiwai: needinfo? (derek)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Wickersham 2021-02-25 15:11:38 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:85.0) Gecko/20100101 Firefox/85.0
Build Identifier: 

My generic GoPro-like camera can operate as a USB webcam through the uvcvideo kernel driver module.  Upon plugging it in, it works for 3 seconds, and then shuts off.  

An administrator of forums.opensuse.org requested that I post the bug here.  The bug I'm experiencing closely matches a known bug described in BugZilla for the kernel here:
https://bugzilla.kernel.org/show_bug.cgi?id=210767

So this report is to raise awareness to the openSUSE team and ask they review the kernel patch for possible inclusion in Tumbleweed.

I can reproduce this 100% bug of the time.

Reproducible: Always

Steps to Reproduce:
1. Plug camera into USB
2. Turn on camera power
3. Select webcam option on camera
4. Camera turns on webcam mode and is recognized by the Tumbleweed system

System log shows:
kernel: uvcvideo: Found UVC 1.00 device Android (1f3a:100e)

v4l2-ctl shows:
# v4l2-ctl --list-devices
Android: UVC Camera (usb-0000:00:14.0-9):
        /dev/video0
        /dev/video1
        /dev/media0



Actual Results:  
After 3 seconds, camera is shut off, and disconnected from system

System log shows:
kernel: usb 2-10: USB disconnect, device number 105

Expected Results:  
Camera should have stayed on and operational

Tumbleweed system:
Linux myhost 5.10.16-1-default #1 SMP Sat Feb 13 16:20:19 UTC 2021 (11381f3) x86_64 x86_64 x86_64 GNU/Linux

lsmod | grep video
uvcvideo              114688  0
videobuf2_vmalloc      20480  1 uvcvideo
videobuf2_memops       20480  1 videobuf2_vmalloc
videobuf2_v4l2         36864  1 uvcvideo
videobuf2_common       65536  2 videobuf2_v4l2,uvcvideo
videodev              294912  3 videobuf2_v4l2,uvcvideo,videobuf2_common
mc                     61440  4 videodev,videobuf2_v4l2,uvcvideo,videobuf2_common
usbcore               323584  10 xhci_hcd,ehci_pci,usbhid,usb_storage,uvcvideo,ehci_hcd,xhci_pci,uas
video                  53248  1 dell_wmi


The kernel bug is described here:
https://bugzilla.kernel.org/show_bug.cgi?id=210767

A tentative patch is described in Comment #5.  

Note:
Camera does not shut off when plugged into a Windows 10 system.  It stays on and functional as a webcam.
Comment 1 Takashi Iwai 2021-02-25 15:19:22 UTC
It's been already fixed in the next 5.11 TW kernel (bug 1180117).
Please check the latest kernel in OBS Kernel:stable repo.
Comment 2 Miroslav Beneš 2022-02-18 11:36:20 UTC
Very likely fixed. If not, please reopen.
Comment 3 Derek Wickersham 2022-02-18 15:52:05 UTC
Updated TW today.
myhost:/home/myhost # uname -a
Linux myhost 5.16.8-1-default #1 SMP PREEMPT Thu Feb 10 11:31:59 UTC 2022 (5d1f5d2) x86_64 x86_64 x86_64 GNU/Linux

Camera behavior remains the same.

Feb 18 10:48:58 myhost kernel: usb 1-10: USB disconnect, device number 21
Feb 18 10:48:58 myhost kernel: usb 1-10: new high-speed USB device number 22 using xhci_hcd
Feb 18 10:48:59 myhost kernel: usb 1-10: New USB device found, idVendor=1f3a, idProduct=100e, bcdDevice= 2.33
Feb 18 10:48:59 myhost kernel: usb 1-10: New USB device strings: Mfr=2, Product=3, SerialNumber=4
Feb 18 10:48:59 myhost kernel: usb 1-10: Product: Android
Feb 18 10:48:59 myhost kernel: usb 1-10: Manufacturer: USB Developer
Feb 18 10:48:59 myhost kernel: usb 1-10: SerialNumber: 20080411
Feb 18 10:48:59 myhost kernel: usb 1-10: Found UVC 1.00 device Android (1f3a:100e)
Feb 18 10:48:59 myhost kernel: usb 1-10: Failed to query (GET_INFO) UVC control 2 on unit 2: -32 (exp. 1).
Feb 18 10:49:04 myhost kernel: usb 1-10: Failed to query (GET_INFO) UVC control 2 on unit 1: -110 (exp. 1).
Feb 18 10:49:09 myhost pipewire[3056]: spa.v4l2: '/dev/video0' VIDIOC_QUERYCTRL: Connection timed out
Feb 18 10:49:09 myhost kernel: usb 1-10: Failed to query (GET_DEF) UVC control 2 on unit 2: -110 (exp. 2).
Feb 18 10:49:17 myhost kernel: usb 1-10: USB disconnect, device number 22
Feb 18 10:49:17 myhost kernel: usb 1-10: new high-speed USB device number 23 using xhci_hcd
Feb 18 10:49:18 myhost kernel: usb 1-10: New USB device found, idVendor=1f3a, idProduct=1002, bcdDevice= 2.33
Feb 18 10:49:18 myhost kernel: usb 1-10: New USB device strings: Mfr=2, Product=3, SerialNumber=4
Feb 18 10:49:18 myhost kernel: usb 1-10: Product: Android
Feb 18 10:49:18 myhost kernel: usb 1-10: Manufacturer: USB Developer
Feb 18 10:49:18 myhost kernel: usb 1-10: SerialNumber: 20080411
Feb 18 10:49:18 myhost kernel: usb-storage 1-10:1.0: USB Mass Storage device detected
Feb 18 10:49:18 myhost kernel: scsi host6: usb-storage 1-10:1.0
Feb 18 10:49:18 myhost mtp-probe[4873]: checking bus 1, device 23: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-10"
Feb 18 10:49:18 myhost mtp-probe[4873]: bus: 1, device: 23 was not an MTP device
Feb 18 10:49:18 myhost mtp-probe[4874]: checking bus 1, device 23: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-10"
Feb 18 10:49:18 myhost mtp-probe[4874]: bus: 1, device: 23 was not an MTP device
Feb 18 10:49:19 myhost kernel: scsi 6:0:0:0: Direct-Access     USB 2.0  USB Flash Driver 0100 PQ: 0 ANSI: 2
Feb 18 10:49:19 myhost kernel: sd 6:0:0:0: Attached scsi generic sg2 type 0
Feb 18 10:49:19 myhost kernel: sd 6:0:0:0: Power-on or device reset occurred
Feb 18 10:49:19 myhost kernel: sd 6:0:0:0: [sdb] Media removed, stopped polling
Feb 18 10:49:19 myhost kernel: sd 6:0:0:0: [sdb] Attached SCSI removable disk
Comment 4 Miroslav Beneš 2022-02-21 09:16:28 UTC
Did the previous kernel versions (including v5.11 and after) work for you? I wonder if it is a regression. Takashi has older kernels in his OBS home project (home:tiwai:kernel:5.11 and such). It would be great if you could try them out.
Comment 5 Derek Wickersham 2022-02-21 21:14:03 UTC
I have not attempted the camera connection until just this week.  So I don't know what would have happened with other, older kernels.
Comment 6 Miroslav Beneš 2022-02-25 16:41:49 UTC
Ok. And could you try using Takashi's repositories, please? It would be really great to know if v5.11 worked for you and this is a regression again.